Need to know the time frame to get support for AIX, HP-UX and Solaris in KACE

0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Answers

3

To my knowledge, there is nothing in the works to add support for any of those in the near future. (Edited: supported directly with an agent)

Submit the request to add future support for those agents here: http://kace.uservoice.com/forums/82699-k1000

Solaris was supported in the past.  I believe it was dropped in version 4 at some point.  Here was the last agent: http://downloads.kace.com/support/customer/release/K1000/4.1.15780/kboxagent-4.1.15780.tar.gz

I believe that the agent above will work with newer versions of the K1000, but it would not be supported.  I don't have the operating system available to test for sure.

Answered 10/23/2012 by: jknox
Red Belt

Please log in to comment
3

Version 5.4 includes an inventory API, called WSAPI, which should allow for other operating systems to be included in the inventory. 

Answered 10/23/2012 by: chucksteel
Red Belt

  • I had forgotten about that, but I haven't seen any documentation on it or even where to get the API so I'm not hopeful that it will help in this regard.

    Given that the database can't currently be written to from an external source is another issue that the API would have to overcome.
  • If memory serves me correct, you will need to supply an inventory.xml file (similar to the one in the kace agent folder) to the kace appliance url for it to upload the data.
  • There is some documentation on WSAPI on p.113 in the 5.4 Admin guide: http://www.kace.com/support/resources/~/media/Files/Support/Documentation/K1000/v54/K1000-Admin-Guide-v54.ashx
Please log in to comment
Answer this question or Comment on this question for clarity

Share